#ifndef SENSOB_H
#define SENSOB_H

int sensob_parse(uint8_t * data, uint16_t length, uint64_t * id, time_t * tm, double *result_array, uint64_t * sensors, unsigned int *type);
int sensoblite_parse(uint8_t * data, uint16_t length, time_t * tm, double *result_array, uint64_t * sensors, unsigned int *type);
int sensobtiny_parse(uint8_t * data,
        uint16_t length, 
        uint32_t time_of_receive,
        time_t * tm,
        double *result_array, uint64_t * sensors, unsigned int *type);

int sensob_reply(uint8_t * data);


#endif /* SENSOB_H */